Skip to content

Update the status of a workflow run.

Request

Explicitly update the status of a workflow run.

Security
bearer
Path
workflow_namestringrequired

Workflow Name.

runIdstringrequired

Run id for the workflow.

Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/jsonrequired
statusstring
Enum:"submitted""running""failed""success"
curl -i -X PUT \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "status": "submitted"
  }'

Responses

Workflow updated successfully.

Bodyapplication/json
endTimeStampnumberread-only

End timestamp of the workflow run. Epoch timestamp.

runIdstringread-only

Run id for the workflow.

startTimeStampnumberread-only

Start timestamp of the workflow run. Epoch timestamp.

statusstring(status)

Task execution status

Enum:"submitted""running""failed""success"
submittedBystringread-only

System captured user details which triggered the run.

workflowIdstringread-only

Workflow id for the workflow.

Response
{ "endTimeStamp": 0, "runId": "string", "startTimeStamp": 0, "status": "submitted", "submittedBy": "string", "workflowId": "string" }